Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util
Class PropertyLogger.LoggingMap

    java.lang.Object
      ix.util.PropertyLogger.LoggingMap

Enclosing class:
  PropertyLogger

    public class PropertyLogger.LoggingMap

extends java.lang.Object

A Map-like object that records any property value that is given to its 'put' method. The value is recorded in this logger's log file as if the logger's `PropertyLogger.put(String, String, String)` method had been called.

Constructor Summary
`protected` | `PropertyLogger.LoggingMap(java.lang.String propName)`

Method Summary
`java.util.Set<java.util.Map.Entry<java.lang.String,java.lang.String>>` | `entrySet()`
`java.lang.String` | `get(java.lang.String objectName)`
`void` | `put(java.lang.String objectName, java.lang.String propValue)`
`boolean` | `putIfNew(java.lang.String objectName, java.lang.String propValue)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyLogger.LoggingMap

    protected PropertyLogger.LoggingMap(java.lang.String propName)

Method Detail

### get

    public java.lang.String get(java.lang.String objectName)

### put

    public void put(java.lang.String objectName,
                    java.lang.String propValue)

### putIfNew

    public boolean putIfNew(java.lang.String objectName,
                            java.lang.String propValue)

### entrySet

    public java.util.Set<java.util.Map.Entry<java.lang.String,java.lang.String>> entrySet()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD